/*---------------------------------------------------------------------
 * $AstecId: user-rtime.c,v 1.2 2003/01/29 04:17:36 kosaka Exp $
 * $Source: /rcs/rcs2/customize/user-rtime.c,v $
 * $Date: 1996/11/09 16:38:21 $             $Revision: 2.4.65.1 $
 *---------------------------------------------------------------------
 * 
 *
 *             Copyright (c) 1991, Visual Edge Software Ltd.
 *
 * ALL  RIGHTS  RESERVED.  Permission  to  use,  copy,  modify,  and
 * distribute  this  software  and its documentation for any purpose
 * and  without  fee  is  hereby  granted,  provided  that the above
 * copyright  notice  appear  in  all  copies  and  that  both  that
 * copyright  notice and this permission notice appear in supporting
 * documentation,  and that  the name of Visual Edge Software not be
 * used  in advertising  or publicity  pertaining to distribution of
 * the software without specific, written prior permission. The year
 * included in the notice is the year of the creation of the work.
 *---------------------------------------------------------------------
 * This file contains all the runtime resources conversion registration.
 * The format is to call UxrDDInstall to add a new converter.
 *-------------------------------------------------------------------*/

/*
 * XRT products and UIM/X integration file
 *
 *  SCCSID -- @(#)user-rtime.c	1.8    95/11/10 KL Group Inc.
 */

/*--- include files ---*/

#include <X11/Intrinsic.h>
#include "UxLib.h"
#include "utype.h"

/*--- macro symbolic constants ---*/

/*--- macro functions ---*/

/*--- types ---*/

/*--- external functions ---*/

/*--- external variables ---*/

/*--- global variables ---*/

/*--- file global variables ---*/

/*--- forward declaration of static functions ---*/

void UxAddRuntimeResources()
{

 /*
  * UxDDInstall( SquareNmajorDimension, UxUT_string, UxXT_MajorDimension );
  * UxDDInstall( SquareNmakeSquare, UxUT_string, UxXt_Boolean );
  */

#ifdef HASBAE
	extern void UxAddXbaeRuntimeResources();

	UxAddXbaeRuntimeResources();
#endif /* HASBAE */

#ifdef	XRT
#ifdef HASXRTGRAPH
	XrtGph_rtime();
#endif /* HASXRTGRAPH */

#ifdef HASXRT3D
	Xrt3d_rtime();
#endif /* HASXRT3D */

#ifdef HASXRTTABLE
	XrtTbl_rtime();
#endif /* HASXRTTABLE */
	
#ifdef HASXRTFIELD
	XrtFld_rtime();
#endif /* HASXRTFIELD */

#ifdef HASXRTGEAR
	XrtGear_rtime();
#endif /* HASXRTGEAR */

#ifdef HASXRTGAUGE
	XrtGauge_rtime();
#endif /* HASXRTGAUGE */
#endif	/* XRT */
}
/*--- end of file ---*/
