
/*******************************************************************************
       seriesEditor.h
       (Generated from interface file seriesEditor.i)
       This header file is included by seriesEditor.c

*******************************************************************************/

#ifndef	_SERIESEDITOR_INCLUDED
#define	_SERIESEDITOR_INCLUDED

#include <stdio.h>
#include "UxLib.h"

#ifndef XKLOADDS
#define XKLOADDS
#endif /* XKLOADDS */

/*******************************************************************************
       The definition of the context structure:
       If you create multiple copies of your interface, the context
       structure ensures that your callbacks use the variables for the
       correct copy.

       For each swidget in the interface, each argument to the Interface
       function, and each variable in the Interface Specific section of the
       Declarations Editor, there is an entry in the context structure
       and a #define.  The #define makes the variable name refer to the
       corresponding entry in the context structure.
*******************************************************************************/

typedef	struct
{
	swidget	UxseriesEditor;
	swidget	Uxform1;
	swidget	UxXrtTableSeriesEd;
	swidget	UxXrtSeriesEd;
	swidget	UxXrtPedit;
	PeSlotPtr	UxXrtSeriesEdSlot;
	swidget	UxUxParent;
	swidget	UxSeCustomPopupIface;
	swidget	( *UxSeCustomPopupFun)();
    int UxSeReservedRow;
    char ** UxSePickList;
} _UxCseriesEditor;

#ifdef CONTEXT_MACRO_ACCESS
static _UxCseriesEditor        *UxSeriesEditorContext;
#define seriesEditor            UxSeriesEditorContext->UxseriesEditor
#define form1                   UxSeriesEditorContext->Uxform1
#define XrtTableSeriesEd        UxSeriesEditorContext->UxXrtTableSeriesEd
#define XrtSeriesEd             UxSeriesEditorContext->UxXrtSeriesEd
#define XrtPedit                UxSeriesEditorContext->UxXrtPedit
#define XrtSeriesEdSlot         UxSeriesEditorContext->UxXrtSeriesEdSlot
#define UxParent                UxSeriesEditorContext->UxUxParent
#define SeCustomPopupIface      UxSeriesEditorContext->UxSeCustomPopupIface
#define SeCustomPopupFun        UxSeriesEditorContext->UxSeCustomPopupFun
#define SeReservedRow           UxSeriesEditorContext->UxSeReservedRow
#define SePickList              UxSeriesEditorContext->UxSePickList

#endif /* CONTEXT_MACRO_ACCESS */


/*******************************************************************************
       Declarations of global functions.
*******************************************************************************/

swidget	create_seriesEditor();

#endif	/* _SERIESEDITOR_INCLUDED */
