/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtManager.h	1.4    97/02/10 KL Group Inc.
 */

/******************************************************************************
				UxXrtManager.h
******************************************************************************/

#ifndef UXXRTMANAGER_INCLUDED
#define UXXRTMANAGER_INCLUDED

#include <Xm/XrtManager.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxMgr.h"
#include "UxXrtManager.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME

extern Class_t	UxC_XrtManager;
/* Design-time create macro */
#ifndef UxCreateXrtManager
#define UxCreateXrtManager(name, parent) \
	UxCreateSwidget(UxC_XrtManager, name, parent)
#endif

#else /* RUN-TIME */

/* Runtime create macro */
#ifndef UxCreateXrtManager
#define UxCreateXrtManager(name, parent) \
	UxCreateSwidget(name, xmXrtManagerWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXRTMANAGER_INCLUDED */

/***END*OF*FILE***************************************************************/
