/* $AstecId: XrtGauge_class.c,v 1.2 2003/01/29 04:20:44 kosaka Exp $ */
/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtGauge_class.c	1.2    99/12/08 KL Group Inc.
 */

/******************************************************************************
				XrtGauge_class.c
******************************************************************************/

void XrtGauge_class()
{
#ifdef HASXRTGAUGE

	xrt_debug_enter("XrtGauge_class");

	UxRegister_XrtGaCircularDial();
	UxRegister_XrtGaCircularGauge();
	UxRegister_XrtGaCounter();
	UxRegister_XrtGaLEDIcon();
	UxRegister_XrtGaLEDNumerical();
	UxRegister_XrtGaLinearDial();
	UxRegister_XrtGaLinearGauge();
	UxRegister_XrtGaPercent();
	UxRegister_XrtGaCenter();
	UxRegister_XrtGaCircularScale();
	UxRegister_XrtGaFrame();
	UxRegister_XrtGaIcon();
	UxRegister_XrtGaIndicator();
	UxRegister_XrtGaItem();
	UxRegister_XrtGaLinearScale();
	UxRegister_XrtGaMarker();
	UxRegister_XrtGaNeedle();
	UxRegister_XrtGaRange();
	UxRegister_XrtGaState();
	UxRegister_XrtGaSwitch();
	UxRegister_XrtGaText();
	UxRegister_XrtGaTick();

	XrtGauge_config();

	xrt_debug_leave("XrtGauge_class");

#endif /* HASXRTGAUGE */
}
